#!/bin/sh
####################################################################
# Licensed Materials - Property of IBM
# Restricted Materials of IBM
# 5698-WSH
# (C) Copyright IBM Corp. 1998, 2006 All Rights Reserved.
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
###################################################################

#------- get the parametres from the caller -------
ACTIONTOOLS_DIR="$1"
HOSTNAME="$2"
USERNAME="$3"
TWSREGISTRYFILE="$4"


#
# execute_command is used to execute a command and capture errors.
#
# Arguments:
#	<command> args
execute_command()
{
 $@
 exitValue=$?
 if [ $exitValue -ne 0 ]
 then
     echo "$@." >&2
     exit $exitValue
 fi
}


echo "Before Updating TWSRegistry.dat"

# TWSREGISTRY.DAT CLEANING *****

if [ ! -f "$TWSREGISTRYFILE" ]
then
  echo "Creating TWSRegistryFile..."
  echo " " > $TWSREGISTRYFILE
fi

# first try to add a row to catch error before cleaning action....
twsRegistryKey="/Tivoli/Workload_Scheduler_CLI/$HOSTNAME:$USERNAME"

# Promote does not modify TWSRegistry entries, only agent type



cmd="$ACTIONTOOLS_DIR/TWSupdate_file -delRow $TWSREGISTRYFILE ${twsRegistryKey}_DN_MajorVersion $VERBOSE"
execute_command "$cmd"
cmd="$ACTIONTOOLS_DIR/TWSupdate_file -delRow $TWSREGISTRYFILE ${twsRegistryKey}_DN_MinorVersion $VERBOSE"
execute_command "$cmd"
cmd="$ACTIONTOOLS_DIR/TWSupdate_file -delRow $TWSREGISTRYFILE ${twsRegistryKey}_DN_MaintenanceVersion $VERBOSE"
execute_command "$cmd"
cmd="$ACTIONTOOLS_DIR/TWSupdate_file -delRow $TWSREGISTRYFILE ${twsRegistryKey}_DN_RemoteHost $VERBOSE"
execute_command "$cmd"
cmd="$ACTIONTOOLS_DIR/TWSupdate_file -delRow $TWSREGISTRYFILE ${twsRegistryKey}_DN_RemotePort $VERBOSE"
execute_command "$cmd"
cmd="$ACTIONTOOLS_DIR/TWSupdate_file -delRow $TWSREGISTRYFILE ${twsRegistryKey}_DN_RemoteUser $VERBOSE"
execute_command "$cmd"
cmd="$ACTIONTOOLS_DIR/TWSupdate_file -delRow $TWSREGISTRYFILE ${twsRegistryKey}_DN_InstallationPath $VERBOSE"
execute_command "$cmd"
cmd="$ACTIONTOOLS_DIR/TWSupdate_file -delRow $TWSREGISTRYFILE ${twsRegistryKey}_DN_ProductID $VERBOSE"
execute_command "$cmd"
cmd="$ACTIONTOOLS_DIR/TWSupdate_file -delRow $TWSREGISTRYFILE ${twsRegistryKey}_DN_LPList $VERBOSE"
execute_command "$cmd"
cmd="$ACTIONTOOLS_DIR/TWSupdate_file -delRow $TWSREGISTRYFILE ${twsRegistryKey}_DN_PatchVersion $VERBOSE"
execute_command "$cmd"
cmd="$ACTIONTOOLS_DIR/TWSupdate_file -delRow $TWSREGISTRYFILE ${twsRegistryKey}_DN_ou $VERBOSE"
execute_command "$cmd"


echo "TWS CLI remove exited successfully"
exit 0

