####################################################################
# Licensed Materials - Property of IBM
# Restricted Materials of IBM
# 5698-WSH
# (C) Copyright IBM Corp. 1998, 2006 All Rights Reserved.
###################################################################

#---------- Delete Function ----------
echo "twsCleanAction.................."

#------- get the parametres from the caller -------
INSTALL_DIR="$1"
ACTIONTOOLS_DIR="$2"
MAEUSER="$3"
TWSREGISTRYFILE=$4
VERBOSE="-verbose"

OS=`uname -s`;export OS

case $OS in
   AIX)
     INST_INTERP="AIX"; export INST_INTERP
   ;;
   HP-UX)
     INST_INTERP="HP"; export INST_INTERP
   ;;
   Linux)
     case `uname -m` in
     *86*)
       INST_INTERP="LINUX_I386"; export INST_INTERP
       ;;
     *390*)
       INST_INTERP="LINUX_S390"; export INST_INTERP
       ;;
     *)
       INST_INTERP="Linux"; export INST_INTERP
       ;;
     esac
   ;;
   SunOS)
     case `uname -m` in
     *86*)
         INST_INTERP="SOLARIS_I386"; export INST_INTERP
     ;;
     *)
         INST_INTERP="SOLARIS"; export INST_INTERP
     ;;                                       
     esac
   ;;
   IRIX64)
     INST_INTERP="IRIX64"; export INST_INTERP
   ;;
   OSF1)
     INST_INTERP="OSF1";   export INST_INTERP
   ;;
   DYNIX/ptx)
     INST_INTERP="DYNIX";   export INST_INTERP
   ;;                                                         

   *) 
     INST_INTERP="LINUX_I386"; export INST_INTERP
   ;;
esac


echo "INSTALL_DIR=$INSTALL_DIR"
echo "ACTIONTOOLS_DIR=$ACTIONTOOLS_DIR"
echo "MAEUSER=$MAEUSER"
echo "TWSREGISTRYFILE=$TWSREGISTRYFILE"


#
# execute_command is used to execute a command and capture errors.
#
# Arguments:
#	<command> args
execute_command()
{
 $@ 
 if [ $? -ne 0 ]
 then
     echo "Remove failed executing: $@." 
     exit 1
 fi 
}



# TWSREGISTRY.DAT CLEANING *****
twsRegistryKey="/Tivoli/Workload_Scheduler/$MAEUSER"
cmd="$ACTIONTOOLS_DIR/TWSupdate_file -delRow $TWSREGISTRYFILE ${twsRegistryKey}_DN $VERBOSE"
execute_command "$cmd"

# rm -fR "$INSTALL_DIR/_uninstall/CLI"  

echo "Removing files.. "

if [ -f "$ACTIONTOOLS_DIR/METHOD_TIER2.historyFile" ]
 then
   rm -fR "${INSTALL_DIR}/OV"
   rm -fR "${INSTALL_DIR}/codeset"
   rm -fR "${INSTALL_DIR}/ftbox"
   rm -fR "${INSTALL_DIR}/methods"
   rm -fR "${INSTALL_DIR}/version"
   rm -fR "${INSTALL_DIR}/zoneinfo"
   rm -f  ${INSTALL_DIR}/*.statusStep
   rm -fR  "${INSTALL_DIR}/config.old"
   rm -f  ${INSTALL_DIR}/tws_env*
fi

rm -fR "${INSTALL_DIR}/2"
rm -f "${INSTALL_DIR}/CreatePostReports"
rm -f "${INSTALL_DIR}/MakePlan"
rm -f "${INSTALL_DIR}/ResetPlan"
rm -fR "${INSTALL_DIR}/OV"
rm -f "${INSTALL_DIR}/SwitchPlan"
rm -f "${INSTALL_DIR}/UpdateStats"
rm -fR "${INSTALL_DIR}/atjobs"
rm -f "${INSTALL_DIR}/cax.txt"
rm -fR "${INSTALL_DIR}/schedTrial"
rm -f "${INSTALL_DIR}/Security.conf"
rm -f "${INSTALL_DIR}/stageman.out"

rm -fR "${INSTALL_DIR}/bin"
rm -fR "${INSTALL_DIR}/catalog"
rm -fR "${INSTALL_DIR}/config"
rm -fR "${INSTALL_DIR}/demo"
rm -fR "${INSTALL_DIR}/mozart"
rm -fR "${INSTALL_DIR}/unsupported"
rm -fR "${INSTALL_DIR}/tmp"
rm -fR "${INSTALL_DIR}/license"
rm -fR "${INSTALL_DIR}/pids"
rm -fR "${INSTALL_DIR}/network"
rm -fR "${INSTALL_DIR}/ftbox"
rm -fR "${INSTALL_DIR}/pobox"

rm -f $INSTALL_DIR/*.old
rm -f $INSTALL_DIR/mozart/*.old
rm -f $INSTALL_DIR/*.bck
rm -f $INSTALL_DIR/mozart/*.bck
rm -f $INSTALL_DIR/*.msg
rm -f $INSTALL_DIR/Jobtable
rm -f $INSTALL_DIR/Symnew


rm -f $INSTALL_DIR/_uninstall/ACTIONTOOLS/*.historyFile


#TODO Remove entries from component file

echo "Exited successfully"
exit 0


