#!/bin/sh
####################################################################
# Licensed Materials - Property of IBM
# Restricted Materials of IBM
# 5698-WSH
# (C) Copyright IBM Corp. 1998, 2006 All Rights Reserved.
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
###################################################################

#------- get the parametres from the caller -------
MAIN_DIR="$1"
TWS_DIR="$2"
UNINSTALL_DIR="$3"

echo "MAIN_DIR $MAIN_DIR"
echo "TWS_DIR $TWS_DIR"
echo "UNINSTALL_DIR $UNINSTALL_DIR"

ACTION_TOOL_RET_STDOUT="";export ACTION_TOOL_RET_STDOUT
ACTION_TOOL_RET_COD=0


if [ ! -f $TWS_DIR/_uninstall/ACTIONTOOLS/METHOD_TIER2.historyFile ]
then                                                                  
  
  if [ $ACTION_TOOL_RET_COD -eq 0 ]
  then
    ACTION_TOOL_RET_STDOUT="`chmod 755 "$UNINSTALL_DIR"`"
  fi

  # ********************************
  # UPDATE TWSINST GA
  # ********************************
  if [ -f "$MAIN_DIR/twsinst" ]
  then
    cp -f $MAIN_DIR/twsinst $TWS_DIR/twsinst
    chmod 544 $TWS_DIR/twsinst
  fi

  # ********************************
  # UPDATE SOFTWARE DISTRIBUTION CLI
  # ********************************
  if [ -d "$UNINSTALL_DIR/CLI" ]
  then
    # echo "TODO rinomina la vecchia se esiste...."
    rm -fR "$UNINSTALL_DIR/CLIOLD"
    mv -f "$UNINSTALL_DIR/CLI" "$UNINSTALL_DIR/CLIOLD"
  fi

  ACTION_TOOL_RET_STDOUT="`mkdir -p "$UNINSTALL_DIR"`"
  ACTION_TOOL_RET_STDOUT="`mkdir -p "$UNINSTALL_DIR"/CLI`"
  ACTION_TOOL_RET_STDOUT="`mkdir -p "$UNINSTALL_DIR"/ACTIONTOOLS`"
  ACTION_TOOL_RET_STDOUT="`mkdir -p "$UNINSTALL_DIR"/WCONVCAT`"
  ACTION_TOOL_RET_COD=0

  ACTION_TOOL_RET_STDOUT="`cp -pR $MAIN_DIR/CLI/* "$UNINSTALL_DIR"/CLI`"
  ACTION_TOOL_RET_STDOUT="`cp -pR $MAIN_DIR/WCONVCAT/* "$UNINSTALL_DIR"/WCONVCAT`"  

  # ********************************
  # UPDATE ACTION TOOLS AND TWSREMOVE
  # ********************************
  mv $UNINSTALL_DIR/ACTIONTOOLS/twsRemove.sh $UNINSTALL_DIR/ACTIONTOOLS/twsRemove.dinamic
  ACTION_TOOL_RET_STDOUT="`cp -pR $MAIN_DIR/ACTIONTOOLS/* "$UNINSTALL_DIR"/ACTIONTOOLS`"
  mv $UNINSTALL_DIR/ACTIONTOOLS/twsRemove.dinamic $UNINSTALL_DIR/ACTIONTOOLS/twsRemove.sh

fi


  # ********************************
  # UPDATE TWSPATCH SCRIPT FOR UNISTALL
  # ********************************
  if [ -f "$TWS_DIR/twspatch" ]
  then
    cp -f  $TWS_DIR/twspatch  $TWS_DIR/twspatch.old 
    chmod 444 $TWS_DIR/twspatch.old
  fi

  if [ -f "$MAIN_DIR/twspatch" ]
  then
    cp -f $MAIN_DIR/twspatch $TWS_DIR/twspatch
    chmod 544 $TWS_DIR/twspatch
  fi

  # Set permission on twsRemove.sh
  if [ -f $UNINSTALL_DIR/ACTIONTOOLS/twsRemove.sh ]
  then
    chmod 755 $UNINSTALL_DIR/ACTIONTOOLS/twsRemove.sh
  fi


  if [ $ACTION_TOOL_RET_COD -eq 0 ]
  then
    # --- 168291 copy the instmecho file under the TWS_DIR/bin directory
    # TWS8.2 GA package doesn't install this file on Linux_s390, so we
    # have to copy it manually
    if [ ! -f "$TWS_DIR/bin/instmecho" ]
    then
      ACTION_TOOL_RET_STDOUT="`cp -p $MAIN_DIR/bin/instmecho "$TWS_DIR/bin"`"
      ACTION_TOOL_RET_COD=$?
      
      echo "instmecho copied!!!"
    fi      
  fi
  
exit $ACTION_TOOL_RET_COD

