#!/bin/sh
####################################################################
# Licensed Materials - Property of IBM
# Restricted Materials of IBM
# 5698-WSH
# (C) Copyright IBM Corp. 1998, 2006 All Rights Reserved.
###################################################################

#------------ Stop Function ------------

#------------ parameter   ------------
#TwsUSERction.sh <USER>

#------------ exit value  ------------
#  0     TWS user exist
#  1     TWS user does not exist
#  2     "ERROR. Invalid <user-id> format, dot usage reserved for MPE user-id " files is missing"

#on stdout blank
#on stderr YUO can find


#------------ Backup Function ------------
#CMD_LINE_ARGS=$*; export CMD_LINE_ARGS
#for ACT_ARG in $CMD_LINE_ARGS
#do
#  echo "PARAMETER:<$ACT_ARG>"
#done





#------- get the parametres from the caller -------
TWS_USER="$1"
verbose="$2"
#echo "TWS_USER=$TWS_USER"

#----- Verify for the presence of the TWS_USER --------

if [ -n "`echo $TWS_USER | grep '\.'`" ]
then
     if [ "$verbose" = "-verbose" ]
     then
     echo "xxx #ERROR. Invalid <user-id> format, dot usage reserved for MPE user-id " >&2
     fi
     exit 2
fi

CMD_GROUPS=/usr/bin/groups
if [ ! -x /usr/bin/groups ]
then
        if [ -x /usr/ucb/groups ]
        then
                CMD_GROUPS=/usr/ucb/groups
        fi
fi

${CMD_GROUPS} $TWS_USER >/dev/null 2>&1
if [ $? -ne 0 ]
then
  if [ "$verbose" = "-verbose" ]
  then
  echo "TWS_USER=$TWS_USER not exist"
  fi
  exit 1
else
  if [ "$verbose" = "-verbose" ]
  then
  echo "TWS_USER=$TWS_USER  exist"
  fi
  exit 0
fi
