#!/bin/sh
####################################################################
# Licensed Materials - Property of IBM
# Restricted Materials of IBM
# 5698-WSH
# (C) Copyright IBM Corp. 1998, 2006 All Rights Reserved.
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
###################################################################

#------------ twsUserRetrieveHome Function ------------

#------- get the parametres from the caller -------
TWS_USER="$1"
TWS_DIR=""; export TWS_DIR

#---- Verify for the -uname user directory and its presence -------
TWS_DIR=`cat /etc/passwd | grep "^${TWS_USER}:" | cut -f 6 -d :`; export TWS_DIR

#---- If  is still empty retry using a different method -----
if [ -z "$TWS_DIR" ]
then
  TWS_DIR=`su - "$TWS_USER" -c pwd 2>/dev/null | grep "/" | tr '\r' ' ' | tr '\t' ' ' |  tr -s "" " " |  tr ' ' '\n' | tr -s "" "\n" | grep "^/"`; export TWS_DIR
fi

echo "$TWS_DIR"

if [ -z "$TWS_DIR" -o "$TWS_DIR" = "/" ]
then
  exit 1
else
  exit 0
fi
